unit TestConfigForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, ShellApi;

type
  TTestConfig = class(TForm)
    RichEdit: TRichEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  TestConfig: TTestConfig;

implementation

uses
  SplashForm, FenetreForm, Outils, InteractionForm;

{$R *.DFM}

procedure TTestConfig.FormCreate(Sender: TObject);
var
  User: String;
begin
  if GetRegistration(User) then begin
    Application.CreateForm(TFenetre, Fenetre);
    TestConfig.Close;
    TestConfig.Release;
  end
  else begin
    TestConfig.Width:=400;
    TestConfig.Height:=300;
    with RichEdit do begin
      Width:=TestConfig.Width-100;
      Left:=-3+(TestConfig.Width-Width) Div 2;
      Height:=271;
      Top:=-12+(TestConfig.Height-Height) Div 2;
      Lines.Clear;
      Lines.Add('');
      Lines.Add('');
      Lines.Add('');
      Lines.Add('Version non enregistre : installez la dernire version de l''interface de lit&ratique tlchargeable sur http://perso.wanadoo.fr/eric.serandour et enregistrez vous auprs de son auteur.');
    end;
  end;
end;


procedure TTestConfig.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if Key=VK_ESCAPE then Close;
end;

end.
